QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
QXmppPasswordRequest Class Reference

The QXmppPasswordRequest class represents a password request. More...

`#include <QXmppPasswordChecker.h>`

List of all members.

## Public Types
enum | Type { CheckPassword = 0 }
## Public Member Functions
QString | domain () const
| Returns the requested domain.
void | setDomain (const QString &domain)
QString | password () const
void | setPassword (const QString &password)
QString | username () const
| Returns the requested username.
void | setUsername (const QString &username)

## Detailed Description

The QXmppPasswordRequest class represents a password request.

## Member Function Documentation

void QXmppPasswordRequest::setDomain | ( | const QString & | domain | ) |

Sets the requested domain.

Parameters:

  domain |

void QXmppPasswordRequest::setUsername | ( | const QString & | username | ) |

Sets the requested username.

Parameters:

  username |

The documentation for this class was generated from the following files:

- QXmppPasswordChecker.h
- QXmppPasswordChecker.cpp

All Classes Functions Enumerations Enumerator Properties